        opt o+,ow-
;*************************************************
;** PrintTTx                                    **
;** Print the transparent translation registers **
;**                                             **
;**  1998 THOR-Software                        **
;*************************************************

        include inc:exec_lib.asm
        include inc:dos_lib.asm

;FOLD Main structure
;*************************************************
;** Main structure                              **
;*************************************************
        rsreset
mn_SysBase:     rs.l 1
mn_DOSBase:     rs.l 1
mn_DTT0:        rs.l 1
mn_DTT1:        rs.l 1
mn_ITT0:        rs.l 1
mn_ITT1:        rs.l 1
mn_len:         rs.b 0
;ENDFOLD
        machine mc68030

;FOLD Start
;*************************************************
;** Start                                       **
;*************************************************
Start:
        lea BSSBase,a4
        moveq #37,d0
        move.l ExecBase,a6
        lea DosName,a1
        move.l a6,mn_SysBase(a4)
        jsr OpenLibrary(a6)
        move.l d0,mn_DOSBase(a4)
        beq.s .nodos


        btst #2,$129(a6)        ;mc68030?
        beq.s .nodttx

        lea Fill030(pc),a5

        btst #3,$129(a6)        ;mc68040 or better ?
        beq.s .got030

        lea Fill040(pc),a5
.got030:
        jsr Supervisor(a6)

        lea mn_DTT0(a4),a0
        move.l mn_DOSBase(a4),a6
        move.l #Fmt,d1
        move.l a0,d2
        jsr VPrintF(a6)
.nodttx:
        move.l mn_SysBase(a4),a6
        move.l mn_DOSBase(a4),a1
        jsr CloseLibrary(a6)
.nodos:
        moveq #0,d0
        rts
;ENDFOLD
;FOLD Fill0x0
Fill030:
        pmove.l tt0,mn_dtt0(a4)
        pmove.l tt1,mn_dtt1(a4)
        rte

        machine mc68040

Fill040:
        movec.l dtt0,d0
        movec.l dtt1,d1
        movem.l d0-d1,mn_dtt0(a4)

        movec.l itt0,d0
        movec.l itt1,d1
        movem.l d0-d1,mn_itt0(a4)
        rte

;ENDFOLD

        section main_data,data
;FOLD Data
DOSName:        dc.b "dos.library",0
Fmt:            dc.b "DTT0 :    0x%08lx",$0a
                dc.b "DTT1 :    0x%08lx",$0a
                dc.b "ITT0 :    0x%08lx",$0a
                dc.b "ITT1 :    0x%08lx",$0a
                dc.b 0
;ENDFOLD

        section main_bss,bss
;FOLD Bss
BssBase:        ds.b mn_len
;ENDFOLD

