;*************************************************************************
;** mmu.library                                                         **
;**                                                                     **
;** a system library for arbitration and control of the MC68K MMUs      **
;**                                                                     **
;**  1998 THOR-Software, Thomas Richter                                **
;** No commercial use, reassembly, modification without prior, written  **
;** permission of the authors.                                          **
;** Including this library in any commercial software REQUIRES a        **
;** written permission and the payment of a small fee.                  **
;**                                                                     **
;** This is an internal header file, do not depend on anything here.    **
;** Use the official include files.                                     **
;** Distributed only for the mmu.library development group for private  **
;** use.                                                                **
;**                                                                     **
;**---------------------------------------------------------------------**
;** Block: Output of debug information                                  **
;*************************************************************************

;The next stuff is specifically DevPac only

        xref _KaputtString

        ifd __G2

        ifd PrintOut
__sdj set 0

__kaputarg Macro
        ifgt \1

        ifnc '\2',''
        move.l \2,-(a7)
__sdj    set     __sdj+4
        endc
_pe     set     \1-1
        __kaputarg _pe,\3,\4,\5,\6,\7,\8,\9,\A,\B,\C,\D,\E,\F,\G,\H,\I,\J
        endc

        endm

kaputstr Macro                  ;dump out data (german pun: kaputt=broken)
        saveregs a0/a1

__sdj set 0
        section main_data,data
.__kptdata\@:      dc.b \1,10,13,0
        even
        section main_code,code
        __kaputarg 18,\J,\I,\H,\G,\F,\E,\D,\C,\B,\A,\9,\8,\7,\6,\5,\4,\3,\2
        lea .__kptdata\@,a0
        move.l a7,a1
        bsr _KaputtString

        ifne __sdj
        lea __sdj(a7),a7
        endc
        loadregs
        endm

        elseif

kaputstr Macro
        endm

        endc

        endc
